# dkim_sig_getkeysize()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    DKIM_STAT dkim_sig_getkeysize(
    	DKIM_SIGINFO *sig,
            unsigned int *bits
    );
Retrieve the number of bits in the key used to verify a message.
DESCRIPTION |
Called When | `dkim_sig_getkeysize()` is called after the signature handle has been processed by either an explicit call to `dkim_sig_process()` or the completion of `dkim_eom()` to get the number of bits in the key used to validate a message.
ARGUMENTS |
Argument | Description
--- | ---
sig | Signature-specific handle.
bits | A pointer to an `unsigned int` which will receive the number of bits in the key used to verify the message.
RETURN VALUES |
Value | Description
--- | ---
`DKIM_STAT_INVALID` | The function was called before the signature was processed either explicitly by `dkim_sig_process()`, or implicitly by `dkim_eom()`.
`DKIM_STAT_OK` | Successful completion.
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.